<!doctype html>
<html lang="en">
    {{template "head.html" .}}
<body>
    <h1>{{.Title}}</h1>
    <form action="/" method="post">
        <label for="fullLink">Full link</label>
        <input type="url" name="fullLink" id="fullLink">
        <button type="submit" name="submint">Generate</button>
    </form>
    {{ if ne .Error "" }}
    <p>{{.Error}}</p>
    {{else}}
    <p>{{.FullLink.FullLink}} {{.ShortLink}} {{.CreatedAt | dateFormat "02-01-2006 15:04:05"}}</p>
    {{end}}
</body>
</html>
